package CASObservatory;

import ij.*;
import ij.gui.*;
import java.awt.Color;
import ij.plugin.PlugIn;

/*
 *  
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *
 * Peter Sebastian Masny
 * ps-contact@masny.dk
 *
 * Parts of this code were adapted from Wayne Rasband, Sergio
 * Caballero Jr., Michael A. Miller, Philippe Thevenaz, 
 * Samuel Moll, and Johannes Schindelin.  Content derived from
 * these authors follow their corresponding copyrights.
 *
 * @version    2.2 26 Jan 2009
 * @author     Peter Sebastian Masny
*/


public class newOverlay_Test implements PlugIn {

    public void run(String arg) {
        ImagePlus imp = WindowManager.getCurrentImage();
        
        ImageCanvasWithOverlay icwo = new ImageCanvasWithOverlay(imp);
        imp.setWindow(new ImageWindow(imp, icwo));
        
        icwo.overlaySetLine(10, 15, 20, 15, new Color(0,0,255,128));
        
        for (int i = 10; i < 20; i++) {
            icwo.overlaySetPixel(15, i, new Color(255,0,0));
        }
        
        icwo.overlayFillRoi( new Color(0,255,0));

        icwo.repaint();
    }
}